List Cards
https://sandboxapi.onbrails.com/api/v2/virtualcards/cards (opens in a new tab)
Get all virtual cards under your business
Query Params
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | integer | Number of results to return (default 50, max 100) | |
| nextCursor | string | Cursor for the next page of results | |
| prevCursor | string | Cursor for the previous page of results |
Request
Virtual Cards/list cards [GET]
curl --request GET \
--url https://sandboxapi.onbrails.com/api/v2/virtualcards/cards \
--header 'Authorization: Bearer API-KEY' \
--header 'accept: application/json'Responses
🟢 200 - Result example
{
"status": true,
"message": "successfully fetched all virtual cards",
"data": {
"cards": [
{
"id": "4f644a2c-3c4f-48c7-a3fa-e896b544d546",
"createdAt": "2022-12-20T09:29:05.615Z",
"updatedAt": "2022-12-20T09:39:37.990Z",
"last4": "3271",
"cardName": "monasia mahlaya",
"cardType": "virtual",
"cardBrand": "visa",
"expiry": "2026-12-31T23:59:59.999Z",
"status": "active",
"valid": "12/2026",
"reference": "testing22",
"createdStatus": "success",
"customerId": "8fa845e4-29f7-4006-9af6-c0fe04eea02f"
},
{
"id": "fc9fb3c8-26fc-41d8-8ad0-af6981199683",
"createdAt": "2022-12-16T17:32:59.682Z",
"updatedAt": "2022-12-16T17:33:20.577Z",
"last4": "1272",
"cardName": "monasia mahlaya",
"cardType": "virtual",
"cardBrand": "visa",
"expiry": "2023-12-31T23:59:59.999Z",
"status": "active",
"valid": "12/2023",
"reference": "testing",
"createdStatus": "success",
"customerId": "1a08faea-5655-4d24-b10b-c8168f88657e"
},
],
"meta": {
"limit": 50,
"nextCursor": null,
"prevCursor": null,
"hasNextPage": false,
"hasPreviousPage": false
}
}
}